
/*VIDEO CONSENT*/
.vm-consent-layer {
    height: 100%;
    width: 100%;
    position: relative;
    aspect-ratio: 16/9;
    overflow: hidden;

    & img{
        width: 100%;
        height: auto;
    }

    & .vm-consent-text-layer {
        background-color: rgba(55,55,55,.7);
        position: absolute;
        top: 0;
        width: 100%;
        height: 100%;

        & span.video-text {
            position: relative;
            width: 85%;
            margin: auto;
            color: #fff;
            display: block;
            top: 20%;
            font-size: 1.0rem;
            text-align: center;
            line-height: initial;

            & a {
                font-size: unset!important;
                color: var(--color-primary);
            }
        }

        & .load-video{
            position: relative;
            margin: auto;
            display: block;
            top: 35%;
            transform: translateY(-50%);
            text-align: center;
            background-color: transparent;
            border: 1px solid var(--color-primary);
            color: var(--color-primary);
            padding: .5rem;
            font-size: 1.3rem;
            width: auto;
            cursor: pointer;
        }
    }
}

@media (max-width: 575px) {
    .vm-consent-layer {
        & .vm-consent-text-layer {

            & span.video-text {
                top: 10%;
                font-size: .8rem;
            }

            & .load-video{
                top: 25%;
                padding: .4rem;
                font-size: 1.1rem;
            }
        }
    }
}